Вы находитесь на странице: 1из 3

INSTALLATION INSTRUCTIONS

=========================
The INET Framework can be compiled on any platform supported by OMNeT++.
PREREQUISITES
You should have a working OMNeT++ installation, version 4.0 or later.
If you are running on Windows you will have to install the winpcap driver,
which is used by INET to capture network packets from external interfaces
(visit http://www.winpcap.org)
General
------1. Make sure your OMNeT++ installation works OK (e.g. try running the samples)
and it is in the path (to test, try the command "which nedtool"). On
Windows, open a console with the "mingwenv.cmd" command. The PATH and other
variables will be automatically adjusted for you. Use this console to compile
and run INET.
2. Extract the downloaded tarball into a directory of your choice (usually into
your
workspace directory, if you are using the IDE). NOTE: The built-in Windows
archiver has bugs and cannot extract the file correctly. Use some other archi
ver
or do it from command line (tar xvfz inet-yyyymmdd-opp4-src.tgz)
NOTE: if you have cloned the github repo (i.e. are not using a tarball),
run the following command in the inet root directory:
$ cp .cproject-DEFAULT .cproject
because the .cproject file is NOT in the repo, for convenience reasons.
If you are building from command line:
-------------------------------------3. Change to the INET directory.
4. Type "make makefiles". This should generate the makefiles for you automatical
ly.
5. Type "make" to build the inet executable (debug version). Use "make MODE=rele
ase"
to build release version.
6. you can run specific examples by changing into the example's directory and ex
ecuting "./run"
If you are using the IDE:
------------------------3. Open the OMNeT++ IDE and choose the workspace where you have extracted the in
et directory.
The extracted directory must be a subdirectory of the workspace dir.
4. Import the project using: File | Import | General | Existing projects into Wo
rkspace.
Then select the workspace dir as the root directory, and be sure NOT to check
the
"Copy projects into workspace" box. Click Finish.
5. Open the project (if already not open) and wait until the indexer finishes.

Now you can build the project by pressing CTRL-B (Project | Build all)
6. To run an example from the IDE open the example's directory in the Project Ex
plorer view,
find the corresponding omnetpp.ini file. Right click on it and select Run As
/ Simulation.
This should create a Launch Configuration for this example.
If the build was successful, you may try running the demo simulations.
Change into examples/ and type "./rundemo".
Note:
----- by default INET is creating a shared library (libinet.dll, libinet.so etc.)
in the "src" directory. To use the shared library you can use the "opp_run"
command to load it dynamically. Open the "src/run_inet" script to see how
to do it.
- If you add/remove files/directories later in the src directory, you MUST
re-create your makefile. Run "make makefiles" again if you are building
from the command line. (The IDE does it for you automatically)
Note to GIT users:
------------------To make the installation simple, the GIT repo contains all IDE configuration fil
es.
If you make local changes in the IDE you may need to disable the change tracking
on
those files, so GIT will not insist committing those changes back on your next c
ommit.
You can use the _scripts/track-config-files-[on/off] scripts to enable/disable t
he
change tracking.
To further ease the merging/rebasing operation the .cproject .nedfolders .oppbui
ldspec .project
files are configured to be resolved using the 'ours' merge strategy. Depending
on your
GIT version you may need to enable the 'ours' merge driver for the project:
$ git config merge.ours.driver true
VoIPTool feature
================
VoIPTool has only been tested on Linux. This does not mean it won't work on othe
r
systems, but your milage may vary on getting it up and running.
PREREQUISITES.
This library is an add-on to the INET Framework for OMNeT++. It requires a worki
ng
installation of OMNeT++ 4.1 or later, and INET Framework version 20100723.
VoIPTool requires a "devel" package of the avcodec library (part of FFmpeg)
to be installed on your system. On Ubuntu, this package can be installed with th
e
following command:

$ sudo apt-get install libavcodec-dev


$ sudo apt-get install libavformat-dev
The package name and installation command may vary for other Linux systems.
INSTALLATION USING THE OMNeT++ IDE.
Start the IDE, and make sure you have a working INET Framework installation
as a project named "inet".
Import the VoIPTool project into the IDE (File->Import->General->Existing
project into workspace), and make sure it has the "inet" project marked
as dependency (Project->Properties->Project References).
Hit Ctrl+B to build.
Run the example simulations to check everything works fine.
--Andras